accumulo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Vines <vi...@apache.org>
Subject Re: compatibility check between 1.5.x and 1.6.0?
Date Wed, 23 Apr 2014 15:35:51 GMT
+1


On Wed, Apr 23, 2014 at 10:53 AM, Josh Elser <josh.elser@gmail.com> wrote:

> On 4/23/14, 10:47 AM, Sean Busbey wrote:
>
>> Okay, I think all of these incompatibilities are things that should not
>> have been in the public API in the first place.
>>
>> * client.admin.SecurityOperationsImpl
>> * client.admin.TableOperationsImpl
>> * client.admin.InstanceOparationsImpl
>> * client.mock.MockShell
>> * client.mock.MockTabletLocator
>>
>> These changes are due to refactorings outside of the public API leaking
>> into classes within the client that handle implementation. For these
>> things, I think we should fix them to not be in the public API and just
>> include an apology in the release notes.
>>
>
> +1
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message